## Class Project

- java.lang.Object
- - Project

All Implemented Interfaces:
  java.io.Serializable

    public class Project
    extends java.lang.Object
    implements java.io.Serializable

Gère un projet.

Author:
  V.BOULANGER
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `_projectId`

### Constructor Summary

Constructors
Constructor and Description
`Project()` Constructeur - Crée une instance de Projet.
`Project(java.lang.String name, java.lang.String author, java.lang.String version, java.lang.String designation, java.lang.String path, Composition composition)` Constructeur - Crée une instance de Projet avec des paramètres déterminés.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAuthor()` Récupère l'auteur du Projet.
`Composition` `getComposition()` Récupère la composition associée au projet.
`java.lang.String` `getDesignation()` Récupère la désignation du Projet.
`int` `getId()` Récupère le numéro du Projet.
`java.lang.String` `getName()` Récupère le nom du Projet.
`java.lang.String` `getPath()` Récupère la désignation du Projet.
`java.lang.String` `getVersion()` Récupère le numéro de version du Projet.
`boolean` `saveAsProject()` Sauvegarde le projet en cours à un autre emplacement.
`boolean` `saveProject()` Sauvegarde le projet en cours.
`void` `setAuthor(java.lang.String author)` Paramètre l'auteur du Projet.
`void` `setDesignation(java.lang.String designation)` Paramètre la désignation du Projet.
`void` `setName(java.lang.String name)` Paramètre le nom du Projet.
`void` `setPath(java.lang.String path)` Paramètre la désignation du Projet.
`void` `setVersion(java.lang.String version)` Paramètre le numéro de version du Projet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _projectId

    public static int _projectId

### Constructor Detail

#### Project

    public Project()

Constructeur - Crée une instance de Projet.

#### Project

    public Project(java.lang.String name,
                   java.lang.String author,
                   java.lang.String version,
                   java.lang.String designation,
                   java.lang.String path,
                   Composition composition)

Constructeur - Crée une instance de Projet avec des paramètres déterminés.

Parameters:
  `name` - Le nom du projet.
  `author` - L'auteur du projet.
  `version` - La version du projet.
  `designation` - La désignation du projet.
  `path` - Chemin vers le ficher enregistré.
  `composition` - La composition inclue dans le projet.

### Method Detail

#### getComposition

    public Composition getComposition()

Récupère la composition associée au projet.

Returns:
  La composition associée au projet.

#### getId

    public int getId()

Récupère le numéro du Projet.

Returns:
  Le numéro du projet.

#### getName

    public java.lang.String getName()

Récupère le nom du Projet.

Returns:
  Le nom du projet.

#### setName

    public void setName(java.lang.String name)

Paramètre le nom du Projet.

Parameters:
  `name` - Le nom du projet.

#### getAuthor

    public java.lang.String getAuthor()

Récupère l'auteur du Projet.

Returns:
  L'auteur du projet.

#### setAuthor

    public void setAuthor(java.lang.String author)

Paramètre l'auteur du Projet.

Parameters:
  `author` - L'auteur du projet.

#### getVersion

    public java.lang.String getVersion()

Récupère le numéro de version du Projet.

Returns:
  Le numéro de version du projet.

#### setVersion

    public void setVersion(java.lang.String version)

Paramètre le numéro de version du Projet.

Parameters:
  `version` - Le numéro de version du projet.

#### getDesignation

    public java.lang.String getDesignation()

Récupère la désignation du Projet.

Returns:
  La désignation du projet.

#### setDesignation

    public void setDesignation(java.lang.String designation)

Paramètre la désignation du Projet.

Parameters:
  `designation` - La désignation du projet.

#### getPath

    public java.lang.String getPath()

Récupère la désignation du Projet.

Returns:
  Le chemin du fichier du projet.

#### setPath

    public void setPath(java.lang.String path)

Paramètre la désignation du Projet.

Parameters:
  `path` - Le chemin vers le fichier du projet.

#### saveProject

    public boolean saveProject()

Sauvegarde le projet en cours.

Returns:
  true : le projet a été sauvegardé, false sinon.

#### saveAsProject

    public boolean saveAsProject()

Sauvegarde le projet en cours à un autre emplacement.

Returns:
  true: le projet a été sauvegardé, false sinon.